Bug 1442002 - rpmlint errors for python shebangs
Summary: rpmlint errors for python shebangs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: translate-toolkit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-13 09:43 UTC by Jens Petersen
Modified: 2017-06-23 01:55 UTC (History)
2 users (show)

Fixed In Version: translate-toolkit-2.1.0-3.fc26 translate-toolkit-2.1.0-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-09 18:53:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Jens Petersen 2017-04-13 09:43:23 UTC
Description of problem:
rpmlint for translate-toolkit gives some errors
due to the shebangs in the installed *.py files.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. rpmlint -i translate-toolkit

Actual results:
:
translate-toolkit.noarch: E: wrong-script-interpreter /usr/lib/python3.6/site-packages/translate/convert/convert.py /usr/bin/env python
This script uses an interpreter which is either an inappropriate one or
located in an inappropriate directory for packaged system software.

translate-toolkit.noarch: E: non-executable-script /usr/lib/python3.6/site-packages/translate/convert/convert.py 644 /usr/bin/env python
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.
:

more or less for all *.py files, which have /usr/bin wrapper scripts anyway.


Expected results:
No rpmlint errors.

Additional info:
https://github.com/translate/translate/issues/3609 is the upstream issue I opened.

Comment 1 Fedora Update System 2017-04-14 10:12:30 UTC
translate-toolkit-2.1.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b8170ec08

Comment 2 Fedora Update System 2017-04-14 10:15:35 UTC
translate-toolkit-2.1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a362ae44e

Comment 3 Fedora Update System 2017-04-15 00:29:04 UTC
translate-toolkit-2.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a362ae44e

Comment 4 Fedora Update System 2017-04-15 01:50:24 UTC
translate-toolkit-2.1.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2b8170ec08

Comment 5 Fedora Update System 2017-05-10 06:28:02 UTC
translate-toolkit-2.1.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f30cc765c

Comment 6 Fedora Update System 2017-05-10 06:28:30 UTC
translate-toolkit-2.1.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e97bbdeb2

Comment 7 Fedora Update System 2017-05-12 13:35:16 UTC
translate-toolkit-2.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e97bbdeb2

Comment 8 Fedora Update System 2017-05-13 01:09:20 UTC
translate-toolkit-2.1.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f30cc765c

Comment 9 Fedora Update System 2017-06-09 18:53:08 UTC
translate-toolkit-2.1.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-06-23 01:55:11 UTC
translate-toolkit-2.1.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.